Cant install battle.net app on MacOS 10.15

Mac Technical Support
All it says is unable to open Battle.net-Setup.

did I download by mistake an old 32bit version? I cant see anywhere in the download the 64bit version, if it is not the one I have already.
Hey, Pierrick584! I moved this over to our Mac Technical Support category.

The Blizzard Application is only available in 32-bit mode, since the Catalina build is exclusively only supported for 64-bit applications, it will not work on the Catalina build. Our Blizzard Battle.net team is hopefully working on getting this compatible with 10.15, but until then the Blizzard Battle.net application will not work with Catalina since it is still in Beta. As such our troubleshooting will be limited for this concern since we can only recommend to rollback over to 10.14.5 (Mojave).
[...] the Blizzard Battle.net application will not work with Catalina since it is still in Beta.

That's not entirely accurate. 64 bit has been recommended for years, and 32 bit deprecated for a year. It makes me a little sad Blizzard has been dragging its feet and not compiling in 64 bit support. I'm not sure why the beta status would have anything to do with this.

Join the Conversation

Return to Forum